## List Event Subscriptions `client.queues.subscriptions.list(SubscriptionListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/event_subscriptions/subscriptions` Get a paginated list of event subscriptions with optional sorting and filtering ### Parameters - `params: SubscriptionListParams` - `account_id: string` Path param: A Resource identifier. - `direction?: "asc" | "desc"` Query param: Sort direction - `"asc"` - `"desc"` - `order?: "created_at" | "name" | "enabled" | "source"` Query param: Field to sort by - `"created_at"` - `"name"` - `"enabled"` - `"source"` - `page?: number` Query param: Page number for pagination - `per_page?: number` Query param: Number of items per page ### Returns - `SubscriptionListResponse` - `id: string` Unique identifier for the subscription - `created_at: string` When the subscription was created - `destination: Destination` Destination configuration for the subscription - `queue_id: string` ID of the target queue - `type: "queues.queue"` Type of destination - `"queues.queue"` - `enabled: boolean` Whether the subscription is active - `events: Array` List of event types this subscription handles - `modified_at: string` When the subscription was last modified - `name: string` Name of the subscription - `source: MqEventSourceImages | MqEventSourceKV | MqEventSourceR2 | 5 more` Source configuration for the subscription - `MqEventSourceImages` - `type?: "images"` Type of source - `"images"` - `MqEventSourceKV` - `type?: "kv"` Type of source - `"kv"` - `MqEventSourceR2` - `type?: "r2"` Type of source - `"r2"` - `MqEventSourceSuperSlurper` - `type?: "superSlurper"` Type of source - `"superSlurper"` - `MqEventSourceVectorize` - `type?: "vectorize"` Type of source - `"vectorize"` - `MqEventSourceWorkersAIModel` - `model_name?: string` Name of the Workers AI model - `type?: "workersAi.model"` Type of source - `"workersAi.model"` - `MqEventSourceWorkersBuildsWorker` - `type?: "workersBuilds.worker"` Type of source - `"workersBuilds.worker"` - `worker_name?: string` Name of the worker - `MqEventSourceWorkflowsWorkflow` - `type?: "workflows.workflow"` Type of source - `"workflows.workflow"` - `workflow_name?: string` Name of the workflow ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const subscriptionListResponse of client.queues.subscriptions.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(subscriptionListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 7003, "message": "No route for the URI", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "result": [ { "id": "id", "created_at": "2019-12-27T18:11:19.117Z", "destination": { "queue_id": "queue_id", "type": "queues.queue" }, "enabled": true, "events": [ "string" ], "modified_at": "2019-12-27T18:11:19.117Z", "name": "name", "source": { "type": "images" } } ], "result_info": { "count": 0, "page": 0, "per_page": 0, "total_count": 0, "total_pages": 0 }, "success": true } ```